### Function

# GLib test_rand_int_range

since: 2.16

#### Declaration

    gint32
    g_test_rand_int_range (
      gint32 begin,
      gint32 end
    )

#### Description

Get a reproducible random integer number out of a specified range, see `g_test_rand_int()` for details on test case random numbers.

Available since: 2.16

#### Parameters

`begin`

  Type: `gint32`

  The minimum value returned by this function.

`end`

  Type: `gint32`

  The smallest value not to be returned by this function.

#### Return value

Type: `gint32`

A number with `begin` <= number < `end`.